/*** ---------- Block: Tekst ---------- ***/
@media(min-width: 992px){
    .wpb-block--text .wpb-text--right .wpb-cta-button:only-child{ margin-left: auto; } 
}

/*** ---------- Block: Formulier ---------- ***/
.wpb-block--form{ --input-mh: 4.6rem;
    .wpb-text{ margin-bottom: 2.8rem; }
    .wpb-text p{ font-size: clamp(1.4rem, 1.5vw, 1.6rem); opacity: 1; } 
    .wpb-text p:has(strong) + p{ --mt: .2em; }

    .inner{ --p: 2.4rem; --max-width: 100rem; border-radius: var(--block-radius);
        &:is([class*="wpb-bg-clr--"]):not(.wpb-bg-clr--transparent){ --max-width: 62rem; padding: var(--p); }
        .inner__container{ max-width: var(--max-width); margin-left: auto; margin-right: auto; }

        &.wpb-bg-clr--gradient-dark{ --block-bg: var(--gradient-dark-2); }
    }
}

@media(max-width: 575.98px){
    .wpb-block--form .container:has(.inner:is([class*="wpb-bg-clr--"]):not(.wpb-bg-clr--transparent)){ padding-left: 0; padding-right: 0; }
    .wpb-block--form .inner:is([class*="wpb-bg-clr--"]):not(.wpb-bg-clr--transparent){ border-radius: 0; padding-left: var(--inline-spacing); padding-right: var(--inline-spacing); }
}
@media(min-width: 768px){
    .wpb-block--form .inner{ --p: 4.8rem; }
}
@media(min-width: 992px){
    .wpb-block--form .inner{ --p: 6.4rem; }
}
@media(min-width: 1200px){
    .wpb-block--form .inner{ --p: 8rem; }
}


/*** ---------- Block: Services ---------- ***/
.wpb-block--services .wpb-section__header .wpb-text{ max-width: 68rem; }
.wpb-block--services .row .wpb-card{ height: 100%; }

/*** ---------- Block: Kennisbank ---------- ***/
.wpb-block--blogs .wpb-section__header .wpb-text{ max-width: 68rem; }
.wpb-block--blogs .row .wpb-card{ height: 100%; }

/*** ---------- Block: Procedures ---------- ***/
.wpb-block--procedures .wpb-procedures .row{ row-gap: 0; column-gap: 0; margin-inline: 0; }
.wpb-block--procedures .wpb-procedures .row > .col{ padding-inline: 0; margin-inline: 0; }

@media(max-width: 575.98px){
    .wpb-block--procedures .container{ padding-left: 0; padding-right: 0; }
    .wpb-block--procedures .wpb-procedures{ border-radius: 0; }
    .wpb-block--procedures .wpb-procedures .wpb-procedures__inner{ padding-left: 1.8rem; padding-left: 1.8rem; }
}


/*** ---------- Block: Cases ---------- ***/
.wpb-block--cases{
    .wpb-section__header .container{ display: block; }
    .wpb-section__header .container .wpb-text{ max-width: 64rem; margin-left: auto; margin-right: auto; text-align: center; }
    .wpb-section__header .container .wpb-text p:has(+ :is(h1, h2, h3)){ margin-left: auto; margin-right: auto; }
    .wpb-section__footer .container{ --wpb-width: 40rem; }
    .wpb-section__footer .wpb-text{ text-align: center; }
    .wpb-section__footer .wpb-text p{ color: var(--clr-contrast, var(--clr-text)); }
    .wpb-section__footer .wpb-text .btn-group{ --mt: 2rem; justify-content: center; }
}

/*** ---------- Block: Success verhalen ---------- ***/
.wpb-block--success-stories{ --gap: 1.6rem; --gc: 1; --fade-gradient: linear-gradient(to top, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1) 33%); 
    .wpb-section__header .container{ display: block; }
    .wpb-section__header .container .wpb-text{ max-width: 64rem; margin-left: auto; margin-right: auto; text-align: center; }
    .wpb-section__header .container .wpb-text p:has(+ :is(h1, h2, h3)){ margin-left: auto; margin-right: auto; }
    .wpb-section__body{ position: relative; }
    .wpb-section__body .container{ display: grid; grid-template-columns: repeat(var(--gc), 1fr); gap: var(--gap); }
    .wpb-section__body .review-card, .wpb-section__body .filling-card{ grid-row: span 3; }
    .wpb-section__body .case-card{ grid-row: span 5; }
    .wpb-section__body :is(.review-card, .case-card) .wpb-card{ height: 100%; }
    .wpb-section__body .filling-card{ display: none; min-height: 8rem; background: linear-gradient(to bottom, rgb(var(--clr-dark-rgb), .2), transparent); border-radius: 1rem; }
    .wpb-section__body .btn--archive{ position: absolute; bottom: 0; left: 0; right: 0;  width: fit-content; margin: auto; z-index: 5; }
    .wpb-section__body:has(.btn--archive){ padding-bottom: 8rem; }

    &:is(.wpb-bg-clr--dark, .wpb-bg-clr--gradient-dark){
        .filling-card{ background: linear-gradient(to bottom, rgb(255, 255, 255, .2), transparent); }
    }
}
@media (max-width: 767.98px){
    .wpb-block--success-stories .wpb-section__body {
        .review-card--1{ order: 1; }
        .case-card--1{ order: 2; }
        .review-card--2{ order: 3; }
        .case-card--2{ order: 4; }
        .case-card--3, .case-card--4{ display: none; }
    }
}
@media (min-width: 768px){
    .wpb-block--success-stories{  --gap: 2.4rem; --gc: 2; 
        .wpb-section__body .review-card--1{ order: -1; }
        .wpb-section__body .container{ -webkit-mask-image: var(--fade-gradient); mask-image: var(--fade-gradient); }
    }
}
@media (min-width: 1200px){
    .wpb-block--success-stories { --gc: 3; 
        .wpb-section__body:has(.btn--archive){ padding-bottom: 6rem; }
        
        .wpb-section__body .review-card--1{ order: -3; }
        .wpb-section__body .case-card--1{ order: -2; }
        .wpb-section__body .review-card--2{ order: -1; }
        .wpb-section__body .filling-card{ grid-row: span 2; display: block; min-height: 12rem; }
    }
}

/*** ---------- Block: Cases ---------- ***/
.wpb-block--vacancies{
    .wpb-section__header .container .wpb-text{ text-align: center; max-width: 68rem; margin-left: auto; margin-right: auto; }
    .wpb-section__header .container .wpb-text h2{ --fs: clamp(3rem, 5vw, 5.6rem); }
    .wpb-section__header .container .wpb-text p{ color: var(--clr-contrast, var(--clr-text)); }
    .wpb-section__header .container .wpb-text p:has(+ :is(h1, h2, h3)){ margin-left: auto; margin-right: auto; }
}

/*** ---------- Block: Media ---------- ***/
.wpb-block--media .wpb-text { margin-bottom: 2rem; }


/*** ---------- Block: FAQ ---------- ***/
.wpb-block--faq { --gc: 1; }
.wpb-block--faq .container { display: grid; grid-template-columns: repeat(var(--gc), minmax(0, 1fr)); column-gap: 2rem; row-gap: 2rem; }

@media (min-width: 992px) {
    .wpb-block--faq-primary, .wpb-block--faq-secondary { --gc: 2; align-items: start; }
    .wpb-block--faq-primary .container, .wpb-block--faq-secondary .container { column-gap: 3.2rem; }
    .wpb-block--faq-primary .container .wpb-accordion { order: -1; }
}

@media (min-width: 1200px) {
    .wpb-block--faq-primary .container, .wpb-block--faq-secondary .container { column-gap: 6.4rem; }
}


/*** ---------- Block: Blurb ---------- ***/
.wpb-block--blurb{
    .wpb-card--blurb{ height: 100%; }
    .row{ --column-gap: 1.2rem; --row-gap: 2.4rem; column-gap: var(--column-gap); row-gap: var(--row-gap); }

    .wpb-section__footer .container{ --wpb-width: 54rem; }
    .wpb-section__footer .wpb-text{ text-align: center; }
    .wpb-section__footer .wpb-text p{ opacity: 1; text-wrap: balance; }
    .wpb-section__footer .wpb-text .btn-group{ --mt: 2rem; justify-content: center; }

    &.wpb-variant--featured{
        .wpb-text{ max-width: 62rem; margin-left: auto; margin-right: auto; text-align: center; }
        .wpb-text p:has(+ :is(h1, h2, h3)){ margin-left: auto; margin-right: auto; }
        .row{ --column-gap: 2.4rem; --row-gap: 2.4rem; margin-inline: 0; }
        .row > .col{ padding-inline: 0; }
    }
}
@media(min-width: 768px){
    .wpb-block--blurb .row{ --column-gap: 2.4rem; --row-gap: 4.8rem; }
}
@media(min-width: 992px){
    .wpb-block--blurb .row{ --column-gap: 3.2rem; --row-gap: 6rem; }
}
@media(min-width: 1200px){
    .wpb-block--blurb .row{ --column-gap: 4.8rem; --row-gap: 8rem; }
}


/*** ---------- Block: Text media tabs ---------- ***/
.wpb-block--media-tabs .container > .wpb-text { margin-bottom: 2rem; }
.wpb-block--media-tabs .inner { gap: 3.2rem; align-items: center; }
.wpb-block--media-tabs .tab__images { display: grid; overflow: hidden; } 
.wpb-block--media-tabs .tab__images > figure { grid-row: 1/-1; grid-column: 1/-1; opacity: 0; transition: opacity var(--ts-15) ease; transition-delay: var(--ts-35); }
.wpb-block--media-tabs .tab__images figure.active { opacity: 1; transform: scale(1); }
.wpb-block--media-tabs .tab__images figure img { height: 100%; width: 100%; object-fit: contain; }
.wpb-block--media-tabs .tab__content { display: grid; position: relative; gap: 2rem; }
.wpb-block--media-tabs .tab__item { display: grid; align-items: center; }
.wpb-block--media-tabs .tab__item.has-icon { grid-template-columns: 6.4rem 1fr; -ms-grid-columns: 6.4rem 1fr; gap: 1.6rem; }
.wpb-block--media-tabs .tab__item .icon { background-color: var(--wpb-primary); border-radius: 50%; width: 6.4rem; height: 6.4rem; padding: 1.4rem; transition: box-shadow var(--ts-15) ease; }
.wpb-block--media-tabs .tab__item .icon img { width: 100%; height: 100%; object-fit: contain; }

@media (min-width: 992px) {
    .wpb-block--media-tabs .inner { gap: 8.2rem; }
}


/*** ---------- Block: Tabs ---------- ***/
.wpb-block--tabs .wpb-text { margin-bottom: 2rem; }



/*** ---------- Block: Featured ---------- ***/
.wpb-block--featured .wpb-section__body { --gc: 1; }
.wpb-block--featured .wpb-section__body .container { display: grid; grid-template-columns: repeat(var(--gc), minmax(0, 1fr)); gap: 2rem; }
.wpb-block--featured .wpb-section__body li { list-style: none; }

@media (min-width: 768px) {
    .wpb-block--featured .wpb-section__body { --gc: 2; }
}

@media (min-width: 992px) {
    .wpb-block--featured .wpb-section__body { --gc: 3; }
}

@media (min-width: 1200px) {
    .wpb-block--featured .wpb-section__body { --gc: 4; }
}


/*** ---------- Block: Text Shortcode ---------- ***/
.wpb-block--text-shortcode .container { column-gap: 2rem; row-gap: 2rem; }

@media (min-width: 992px) {
    .wpb-block--text-shortcode .container { column-gap: 3.2rem; }
    .wpb-block--text-shortcode-primary .wpb-card { order: -1; }
}

@media (min-width: 1200px) {
    .wpb-block--text-shortcode .container { column-gap: 6.4rem; }
}

@media (min-width: 1200px) {
    .wpb-block--text-shortcode .container { column-gap: 9.8rem; }
}



/*** ---------- Block: Youtube embed ---------- ***/
.wpb-block--youtube .container { column-gap: 2rem; row-gap: 2rem; }
.wpb-block--youtube .wpb-ratio :is(iframe, img) { border-radius: .5rem; }
.wpb-block--youtube .wpb-ratio .youtube-play { position: absolute; top: 0; right: 0; bottom: 0; left: 0; z-index: 5; cursor: pointer; transition: opacity var(--ts-35) ease; }
.wpb-block--youtube .wpb-ratio .youtube-play img { object-fit: cover; width: 100%; height: 100%; }
.wpb-block--youtube .wpb-ratio .youtube-play .play-icon { position: absolute; top: calc(50% - 3.2rem); left: calc(50% - 3.2rem); display: grid; place-items: center; z-index: 2; background-color: var(--clr-primary); border-radius: 50%; width: 6.4rem; height: 6.4rem; transition: .25s ease; }
.wpb-block--youtube .wpb-ratio .youtube-play .play-icon i { color: rgb(255,255,255); }
.wpb-block--youtube .wpb-ratio:hover .youtube-play .play-icon { transform: scale(1.065); }

@media (min-width: 992px) {
    .wpb-block--youtube .container { column-gap: 3.2rem; }
    .wpb-block--youtube.wpb-block--youtube-primary .wpb-ratio { order: -1; }
}

@media (min-width: 1200px) {
    .wpb-block--youtube .container { column-gap: 6.4rem; }
}

@media (min-width: 1400px) {
    .wpb-block--youtube .container { column-gap: 9.8rem; }
}


/*** ---------- Block: Divider ---------- ***/
.wpb-block--divider{ --border-color: var(--clr-border); --border-height: 1px; position: relative;
    .container{ position: static; }
    .container::before{ content: ''; display: block; position: relative; width: 100%; height: var(--border-height); background-color: var(--border-color); }
}

@media(max-width: 991.98px){
    .wpb-block--divider .container::before{ position: absolute; left: 0; right: 0; }
}


/*** ---------- Content sections (Single content) ---------- ***/

.content-section{ --inner-padding: 1.2rem; --inner-br: 1rem;
    &.wpb-wst--small { --pt: 2rem; }
    &.wpb-wst--medium { --pt: 3.2rem; }
    &.wpb-wst--large { --pt: 4.8rem; }

    &.wpb-wsb--small { --pb: 2rem; }
    &.wpb-wsb--medium { --pb: 3.2rem; }
    &.wpb-wsb--large { --pb: 4.8rem; }

    .content-section__inner:is([class*='wpb-bg-clr--']):not(.wpb-bg-clr--transparent){ padding: var(--inner-padding); border-radius: var(--inner-br); }

    .btn-group{ --mt: 1.8rem; }
}

.content-section--author { border-bottom: 1px solid var(--clr-border); margin-bottom: var(--pb); }

.content-section--author .content-section__inner{ display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap; gap: 2.4rem; 
    .wpb-user{ position: relative; }
    .wpb-user .wpb-user__text span{ color: var(--clr-text-light); }
    .wpb-user .wpb-user__title{ font-size: 1.8rem; font-weight: 600; }
    .wpb-user .wpb-user__comment{ position: absolute; bottom: 100%; }
}
.content-section--authority-declaration .content-section__inner{
    .wpb-user .wpb-user__text span{ color: var(--clr-text-light); }
    .wpb-user .wpb-user__title{ font-size: 1.8rem; font-weight: 600; }
}


@media(min-width: 576px){
    .content-section{ --inner-padding: 2.4rem; }
}
@media (min-width: 992px) {
    .content-section{ --inner-padding: 3.2rem;
        &.wpb-wst--small { --pt: 2.8rem; }
        &.wpb-wst--medium { --pt: 4.6rem; }
        &.wpb-wst--large { --pt: 6.4rem; }

        &.wpb-wsb--small { --pb: 2.8rem; }
        &.wpb-wsb--medium { --pb: 4.6rem; }
        &.wpb-wsb--large { --pb: 6.4rem; }
    }
}